using EvaPosSrvDTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace EvaPOS_API_FRAME.DTO
{
    ///<summary>
    /// DTO para suspender transaccion en CHEC
    /// </summary>
    [XmlRoot(ElementName = "SuspendTransactionRequest")]
    public class SuspendTransactionRequest : DTOBase
    {
        public SuspendTransactionRequest(int idSesion, TipoMensaje tipo) : base(idSesion, tipo) { }
        public SuspendTransactionRequest() { }

        [XmlElement(ElementName = "ParameterExtension")]
        public object ParameterExtension { get; set; }

        [XmlElement(ElementName = "RequestID")]
        public int RequestID { get; set; }

        [XmlElement(ElementName = "OperatorID")]
        public object OperatorID { get; set; }

        [XmlElement(ElementName = "EnableCallback")]
        public bool EnableCallback { get; set; }

        [XmlElement(ElementName = "VoidTenders")]
        public bool VoidTenders { get; set; }
    }
}
